Skip to main content
GET
/
entities
/
{entityId}
/
insights
/
cash-flow
Get cash flow
curl --request GET \
  --url https://api.syntage.com/entities/{entityId}/insights/cash-flow \
  --header 'X-API-Key: <api-key>'
{
  "data": [
    {
      "type": "inflow",
      "dateLabel": "2016/Aug",
      "date": "202408",
      "startDate": "2024-08-01",
      "transactions": 6,
      "amount": 5938.88,
      "mxnAmount": 114638.76,
      "metric": 114638.76,
      "groupName": "total"
    }
  ],
  "stats": [
    {
      "total": 50,
      "hits": 48,
      "date": "202408",
      "dateLabel": "2016/Aug",
      "startDate": "2024-08-01"
    }
  ]
}

Authorizations

X-API-Key
string
header
required

Your API key is available in the Production and Sandbox dashboards.

Path Parameters

entityId
string<uuid>
required

Query Parameters

options[periodicity]
enum<string>
default:monthly

The data set is grouped by this field

Available options:
daily,
weekly,
monthly,
quarterly,
yearly
options[type]
enum<string>
default:total

Group series by type

Available options:
total,
payment-method,
currency,
invoice-type
options[from]
string<date-time>
default:2014-01-01T00:00:00.000Z

Filter by issuing date (greater than)

options[to]
string<date-time>
default:now

Filter by issuing date (less than)

Response

Taxpayer cash flow

data
object[]

Cash flow data grouped by period

stats
object[]

Data quality statistics per period, indicating how many invoices had the required fields for accurate calculation.